Index: npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:openssl
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC
+
+#Directory where the sourcefiles are unpacked.
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+patch -p0 -d $SRC_DIR < libdomainkeys-0.69.diff || exit 1
+
+pushd $SRC_DIR
+
+make
+
+mkdir -p /tmp/pkg/usr/include
+mkdir -p /tmp/pkg/usr/lib
+
+cp domainkeys.h  /tmp/pkg/usr/include
+cp libdomainkeys.a /tmp/pkg/usr/lib
+
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
Index: npl/mailserver/libdomainkeys/libdomainkeys.arch
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libdomainkeys/libdomainkeys.build
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libdomainkeys/libdomainkeys.depver
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.depver	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.depver	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/mailserver/libdomainkeys/libdomainkeys.md5
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,6 @@
+ffb61aa4000b392d7b78b4b7cb77dc62  ./libdomainkeys-0.69.diff
+15ec065c6f645a0b9fde3f1ff7681127  ./libdomainkeys-0.69.tar.gz
+b711f17412450a58537ca8693f5a0b15  ./libdomainkeys_dev.pkg
+ce2468344bdcd96627b5076fa8aee3c4  ./libdomainkeys.pkg
+713ede25dcebb59a244d5b70c97f191f  ./libdomainkeys.SlackBuild
+3062e3647b48a2b1990232bbf8b22f63  ./libdomainkeys.SlackBuild.log.gz
Index: npl/mailserver/libdomainkeys/libdomainkeys.version
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+0.69
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.arch
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.build
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libdomainkeys/libdomainkeys_dev.version
===================================================================
--- npl/mailserver/libdomainkeys/libdomainkeys_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libdomainkeys/libdomainkeys_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+0.69
Index: npl/mailserver/libsrs2/libsrs2.SlackBuild
===================================================================
--- npl/mailserver/libsrs2/libsrs2.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/mailserver/libsrs2/libsrs2.arch
===================================================================
--- npl/mailserver/libsrs2/libsrs2.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libsrs2/libsrs2.build
===================================================================
--- npl/mailserver/libsrs2/libsrs2.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libsrs2/libsrs2.md5
===================================================================
--- npl/mailserver/libsrs2/libsrs2.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,5 @@
+2178b8cf587eb6e65d4b9753c4a6c67d  ./libsrs2-1.0.18.tar.gz
+23355a6e3c5aaa23b41f95c61c32d1fe  ./libsrs2_dev.pkg
+5369bd193cc9f5d938b5b530f1dfb2a4  ./libsrs2.pkg
+9778f95a4592a0da63c9fa763ed9ae94  ./libsrs2.SlackBuild
+3e2a183f73286827e5706cdc62d613ef  ./libsrs2.SlackBuild.log.gz
Index: npl/mailserver/libsrs2/libsrs2.version
===================================================================
--- npl/mailserver/libsrs2/libsrs2.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/mailserver/libsrs2/libsrs2_dev.arch
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libsrs2/libsrs2_dev.build
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libsrs2/libsrs2_dev.version
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/libsrs2/libsrs2_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/mailserver/netqmail/netqmail.SlackBuild
===================================================================
--- npl/mailserver/netqmail/netqmail.SlackBuild	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/mailserver/netqmail/netqmail.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -4,4 +4,8 @@
 #DEP:libspf2
 #NEED:groff
+#DEP:libdomainkeys
+#DEP:libsrs2
+#DEP:openssl
+#DEP:vpopmail
 
 #Gemodificeerd door edwin voor mailserver productlijn.
@@ -19,19 +23,9 @@
 # Set initial variables:
 NAME=netqmail
-VERSION=1.05
-BUILD=1DatuX
-
-
-## Location to download the sources
-SRC_LOC="http://ds9a.nl/qmail/$NAME-$VERSION.tar.gz"
+VERSION=1.06
+
 
 PKG=$TMP/package_$NAME
 
-## Lets Grab the Source if needed
-if [ -a $CWD/$NAME-$VERSION.tar.gz ]; then
-  echo "Source present not downloading"
-  else
-  $WGET $SRC_LOC || true
-fi
 
 if [ ! -d $TMP ]; then
@@ -44,9 +38,9 @@
 cd $TMP
 rm -rf $NAME-$VERSION
-tar xzvf $CWD/$NAME-$VERSION.tar.gz || exit 1
-
-
-
-# Maak die godverredommese users and groups aan!! :-)
+tar xvf $CWD/$NAME-$VERSION.tar || exit 1
+
+
+
+# Maak  users and group aan
 groupadd -g 55 nofiles
 useradd -g nofiles -u 50 -d /home/system/qmail/alias alias -s /sbin/false
@@ -61,37 +55,38 @@
 # Directory's maken
 make_dirs() {
-mkdir -p /var/qmail/supervise/qmail-send/log
-mkdir -p /var/qmail/supervise/qmail-smtpd/log
-#mkdir -p /var/qmail/supervise/qmail-pop3d/log
-mkdir -p /var/log/qmail/qmail-send
-mkdir -p /var/log/qmail/qmail-smtpd
-#mkdir -p /var/log/qmail/qmail-pop3d
-mkdir -p /var/qmail/alias
-mkdir -p /var/qmail/control
-mkdir -p /var/qmail/users
-mkdir -p /home/system/qmail
+# mkdir -p /var/qmail/supervise/qmail-send/log
+# mkdir -p /var/qmail/supervise/qmail-smtpd/log
+# #mkdir -p /var/qmail/supervise/qmail-pop3d/log
+# mkdir -p /var/log/qmail/qmail-send
+# mkdir -p /var/log/qmail/qmail-smtpd
+# #mkdir -p /var/log/qmail/qmail-pop3d
+# mkdir -p /var/qmail/alias
+# mkdir -p /var/qmail/control
+# mkdir -p /var/qmail/users
+# mkdir -p /home/system/qmail
 
 # Files touchen
-touch /var/qmail/control/rcpthosts
-touch /var/qmail/control/defaultdomain
-touch /var/qmail/control/virtualdomains
-touch /var/qmail/control/locals
+# touch /var/qmail/control/rcpthosts
+# touch /var/qmail/control/defaultdomain
+# touch /var/qmail/control/virtualdomains
+# touch /var/qmail/control/locals
 #touch /var/qmail/alias/.qmail-postmaster
 #touch /var/qmail/alias/.qmail-root
 # qmqpservers bestand maken
-echo "127.0.0.1" > /var/qmail/control/qmqpservers
+# echo "127.0.0.1" > /var/qmail/control/qmqpservers
 # default alias file voor delivery via dspam naar cyrus
-echo '|/usr/bin/syn3-dagent "$LOCAL" "$SENDER"' > /var/qmail/alias/.qmail-default
+# echo '|/usr/bin/syn3-dagent "$LOCAL" "$SENDER"' > /var/qmail/alias/.qmail-default
 # assign bestand aanmaken om delivery naar een maildir te overiden
-echo '+:alias:50:55:/var/qmail/alias:-::
-.' > /var/qmail/users/assign
+# echo '+:alias:50:55:/var/qmail/alias:-::
+# .' > /var/qmail/users/assign
 
 # Rechten goed zetten
-chmod +t /var/qmail/supervise/qmail-send
-chmod +t /var/qmail/supervise/qmail-smtpd
+# chmod +t /var/qmail/supervise/qmail-send
+# chmod +t /var/qmail/supervise/qmail-smtpd
 #chmod +t /var/qmail/supervise/qmail-pop3d
-chmod 644 /var/qmail/alias/.qmail*
-
-chown -R qmaill /var/log/qmail
+# chmod 644 /var/qmail/alias/.qmail*
+
+# chown -R qmaill /var/log/qmail
+true
 }
 
@@ -100,34 +95,47 @@
 
 
+
+
 #algemene patches netqmail
-./collate.sh || exit 1
+# ./collate.sh || exit 1
+
 
 #qmail tap patch
-patch -F 3 -d $NAME-$VERSION -p1 < $CWD/qmail-tap.diff  || exit 1
+#patch -F 3 -d $NAME-$VERSION -p1 < $CWD/qmail-tap.diff  || exit 1
+#TESTEN OF NIEWUER WERKT!
 
 #qmail dns patch
-patch -F 3 -d $NAME-$VERSION -p1 < $CWD/qmail-103.patch  || exit 1
+# patch -F 3 -d $NAME-$VERSION -p1 < $CWD/qmail-103.patch  || exit 1
 
 
 #qmail spp patch
-echo "SPP"
-tar -xzf $CWD/qmail-spp-0.42.tar.gz || exit 1
-patch -d $NAME-$VERSION -F3 -p0 < qmail-spp-0.42/netqmail-spp.diff || exit 1
-
-#### spp plugins
-mkdir -p $PKG/var/qmail/plugins
-
-#helo plugin:
-gcc -o helodnscheck $CWD/helodnscheck2.c -lresolv || exit 1
-mv helodnscheck $PKG/var/qmail/plugins || exit 1
-
-gcc -Wall -o qmail-spp-spf $CWD/qmail-spp-spf-20091020.c -lspf2 -I/usr/include/spf2 || exit 1
-mv qmail-spp-spf $PKG/var/qmail/plugins || exit 1
-
-
-chmod +x $PKG/var/qmail/plugins/*
+# echo "SPP"
+# tar -xzf $CWD/qmail-spp-0.42.tar.gz || exit 1
+# patch -d $NAME-$VERSION -F3 -p0 < qmail-spp-0.42/netqmail-spp.diff || exit 1
+
+### all important qmail patches
+# above is all replaced by the great uberpatch from http://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html THANKS Roberto Puzzanghera!
+ROBVERSION="rob20180403"
+patch < /tmp/build/roberto-netqmail-1.06.patch-latest || exit 1
+ln -s /usr/include/srs2.h /usr/local/include/srs2.h
+
+# #### spp plugins
+# mkdir -p $PKG/var/qmail/plugins
+#
+# #helo plugin:
+# gcc -o helodnscheck $CWD/helodnscheck2.c -lresolv || exit 1
+# mv helodnscheck $PKG/var/qmail/plugins || exit 1
+#
+# gcc -Wall -o qmail-spp-spf $CWD/qmail-spp-spf-20091020.c -lspf2 -I/usr/include/spf2 || exit 1
+# mv qmail-spp-spf $PKG/var/qmail/plugins || exit 1
+#
+#
+# chmod +x $PKG/var/qmail/plugins/*
 
 #compile it
 cd $NAME-$VERSION
+
+# echo '#define CHKUSER_ENABLE_ALIAS_DEFAULT' >>  chkuser_settings.h || exit 1
+
 #large inode support
 sed 's/O2$/O2 -D_FILE_OFFSET_BITS=64/' conf-cc -i || exit 1
@@ -135,92 +143,92 @@
 
 # Default qmail rules
-cat <<END > /home/system/qmail/tcp.smtp
-127.0.0.1:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-queue"
-127.0.0.2:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-127.0.0.3:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.16.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.17.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.18.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.19.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.20.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.21.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.22.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.23.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.24.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.25.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.26.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.27.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.28.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.29.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.30.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-172.31.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-192.168.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-10.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-:allow,QMAILQUEUE="bin/qmail-qmqpc"
-END
+# cat <<END > /home/system/qmail/tcp.smtp
+# 127.0.0.1:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-queue"
+# 127.0.0.2:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 127.0.0.3:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.16.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.17.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.18.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.19.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.20.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.21.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.22.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.23.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.24.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.25.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.26.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.27.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.28.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.29.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.30.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 172.31.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 192.168.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# 10.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+# :allow,QMAILQUEUE="bin/qmail-qmqpc"
+# END
 #tcprules /home/system/qmail/tcp.smtp.cdb /home/system/qmail/tcp.smtp.tmp < /home/system/qmail/tcp.smtp
 
-echo 5 > /var/qmail/control/concurrencyincoming
-chmod 644 /var/qmail/control/concurrencyincoming
-
-
-#locals is een link naar me
-rm /var/qmail/control/locals
-ln -s me /var/qmail/control/locals
+# echo 5 > /var/qmail/control/concurrencyincoming
+# chmod 644 /var/qmail/control/concurrencyincoming
+
+
+# #locals is een link naar me
+# rm /var/qmail/control/locals
+# ln -s me /var/qmail/control/locals
 }
 
 make_scripts() {
 # Create a qmail run script
-cat > /var/qmail/rc << END
-#!/bin/sh
-exec env - PATH="/var/qmail/bin:\$PATH" \
-qmail-start ''  splogger qmail
-END
-chmod +x /var/qmail/rc
+# cat > /var/qmail/rc << END
+# #!/bin/sh
+# exec env - PATH="/var/qmail/bin:\$PATH" \
+# qmail-start ''  splogger qmail
+# END
+# chmod +x /var/qmail/rc
 
 # Create a qmail-send supervise (including log) run script
-cat > /var/qmail/supervise/qmail-send/run << END
-#!/bin/sh
-#dynamic update of hostname
-hostname -f > /var/qmail/control/me
-#zet de assign file om naar binair formaat.
-/var/qmail/bin/qmail-newu
-exec /var/qmail/rc
-END
-chmod +x /var/qmail/supervise/qmail-send/run
-
-cat > /var/qmail/supervise/qmail-send/log/run << END
-#!/bin/sh
-exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-send
-END
-chmod +x /var/qmail/supervise/qmail-send/log/run
-
-# Create a qmail-smtpd supervise (including log) run script
-cat > /var/qmail/supervise/qmail-smtpd/run << END
-#!/bin/sh
-QMAILDUID=\`id -u qmaild\`
-NOFILESGID=\`id -g qmaild\`
-MAXSMTPD=\`cat /var/qmail/control/concurrencyincoming\`
-LOCAL=\`head -1 /var/qmail/control/me\`
-if [ -z "\$QMAILDUID" -o -z "\$NOFILESGID" -o -z "\$MAXSMTPD" -o -z "\$LOCAL" ]; then
-    echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
-    echo /var/qmail/supervise/qmail-smtpd/run
-    exit 1
-fi
-if [ ! -f /var/qmail/control/rcpthosts ]; then
-    echo "No /var/qmail/control/rcpthosts!"
-    echo "Refusing to start SMTP listener because it'll create an open relay"
-    exit 1
-fi
-exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "\$LOCAL" -x /etc/qmail/tcp.smtp.cdb \
--c "\$MAXSMTPD" -u "\$QMAILDUID" -g "\$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
-END
-chmod +x /var/qmail/supervise/qmail-smtpd/run
-
-cat > /var/qmail/supervise/qmail-smtpd/log/run << END
-#!/bin/sh
-exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-smtpd
-END
-chmod +x /var/qmail/supervise/qmail-smtpd/log/run
+# cat > /var/qmail/supervise/qmail-send/run << END
+# #!/bin/sh
+# #dynamic update of hostname
+# hostname -f > /var/qmail/control/me
+# #zet de assign file om naar binair formaat.
+# /var/qmail/bin/qmail-newu
+# exec /var/qmail/rc
+# END
+# chmod +x /var/qmail/supervise/qmail-send/run
+#
+# cat > /var/qmail/supervise/qmail-send/log/run << END
+# #!/bin/sh
+# exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-send
+# END
+# chmod +x /var/qmail/supervise/qmail-send/log/run
+#
+# # Create a qmail-smtpd supervise (including log) run script
+# cat > /var/qmail/supervise/qmail-smtpd/run << END
+# #!/bin/sh
+# QMAILDUID=\`id -u qmaild\`
+# NOFILESGID=\`id -g qmaild\`
+# MAXSMTPD=\`cat /var/qmail/control/concurrencyincoming\`
+# LOCAL=\`head -1 /var/qmail/control/me\`
+# if [ -z "\$QMAILDUID" -o -z "\$NOFILESGID" -o -z "\$MAXSMTPD" -o -z "\$LOCAL" ]; then
+#     echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
+#     echo /var/qmail/supervise/qmail-smtpd/run
+#     exit 1
+# fi
+# if [ ! -f /var/qmail/control/rcpthosts ]; then
+#     echo "No /var/qmail/control/rcpthosts!"
+#     echo "Refusing to start SMTP listener because it'll create an open relay"
+#     exit 1
+# fi
+# exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "\$LOCAL" -x /etc/qmail/tcp.smtp.cdb \
+# -c "\$MAXSMTPD" -u "\$QMAILDUID" -g "\$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
+# END
+# chmod +x /var/qmail/supervise/qmail-smtpd/run
+#
+# cat > /var/qmail/supervise/qmail-smtpd/log/run << END
+# #!/bin/sh
+# exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-smtpd
+# END
+# chmod +x /var/qmail/supervise/qmail-smtpd/log/run
 
 # Create a qmail-pop3d supervise (including log) run script
@@ -241,43 +249,43 @@
 #END
 #chmod +x /var/qmail/supervise/qmail-pop3d/log/run
+true;
 }
 
 prepare() {
 #niet met symlink, ivm package removal
-mkdir -p $PKG/service
-mkdir -p $PKG/var/log
+# mkdir -p $PKG/service
+# mkdir -p $PKG/var/log
 mkdir -p $PKG/var/qmail
-mkdir -p $PKG/etc
-mkdir -p $PKG/home/system/qmail
-mv /var/qmail/control $PKG/home/system/qmail
-mv /var/qmail/alias $PKG/home/system/qmail
-mv /var/qmail/queue $PKG/home/system/qmail
-mv /var/qmail/users $PKG/home/system/qmail
+# mkdir -p $PKG/etc
+# mkdir -p $PKG/home/system/qmail
+# mv /var/qmail/control $PKG/home/system/qmail
+# mv /var/qmail/alias $PKG/home/system/qmail
+# mv /var/qmail/queue $PKG/home/system/qmail
+# mv /var/qmail/users $PKG/home/system/qmail
 cp -a /var/qmail $PKG/var
-cp -a /var/log/qmail $PKG/var/log
-ln -sf /home/system/qmail/queue $PKG/var/qmail/queue
-ln -sf /home/system/qmail/control $PKG/var/qmail/control
-ln -sf /home/system/qmail/alias $PKG/var/qmail/alias
-ln -sf /home/system/qmail/users $PKG/var/qmail/users
-ln -sf /home/system/qmail $PKG/etc/qmail
-ln -sf /var/qmail/supervise/qmail-send $PKG/service/qmail-send
-ln -sf /var/qmail/supervise/qmail-smtpd $PKG/service/qmail-smtpd
+rm -rf $PKG/var/qmail/{queue,alias,control}
+
+# cp -a /var/log/qmail $PKG/var/log
+# ln -sf /home/system/qmail/queue $PKG/var/qmail/queue
+# ln -sf /home/system/qmail/control $PKG/var/qmail/control
+# ln -sf /home/system/qmail/alias $PKG/var/qmail/alias
+# ln -sf /home/system/qmail/users $PKG/var/qmail/users
+# ln -sf /home/system/qmail $PKG/etc/qmail
+# ln -sf /var/qmail/supervise/qmail-send $PKG/service/qmail-send
+# ln -sf /var/qmail/supervise/qmail-smtpd $PKG/service/qmail-smtpd
 #ln -s /var/qmail/supervise/qmail-pop3d $PKG/service/qmail-pop3d
-cp -a $CWD/qmail.permissions $PKG/etc
-cp -a $CWD/qmail.rc.config $PKG/etc
-cp -a $CWD/qmailctl $PKG/var/qmail/bin/
-cp -a /home/system/qmail/tcp.smtp $PKG/home/system/qmail/
-cp -a /home/system/qmail/tcp.smtp.cdb $PKG/home/system/qmail/
+# cp -a $CWD/qmail.permissions $PKG/etc
+# cp -a $CWD/qmail.rc.config $PKG/etc
+# cp -a $CWD/qmailctl $PKG/var/qmail/bin/
+# cp -a /home/system/qmail/tcp.smtp $PKG/home/system/qmail/
+# cp -a /home/system/qmail/tcp.smtp.cdb $PKG/home/system/qmail/
 mkdir -p $PKG/usr/sbin
 ln -s /var/qmail/bin/sendmail $PKG/usr/sbin/sendmail || exit 1
-cat $TMP/$NAME-$VERSION/$NAME-$VERSION/config-fast.sh | sed "s/QMAIL/\/var\/qmail/" > $PKG/var/qmail/bin/config-fast
-chmod 600 $PKG/etc/qmail.permissions
-chmod 600 $PKG/etc/qmail.rc.config
-chmod 755 $PKG/var/qmail/bin/qmailctl
-chmod 755 $PKG/var/qmail/bin/config-fast
-
-mkdir -p $PKG/usr/bin
-cp $CWD/syn3-dagent $PKG/usr/bin || exit 1
-chmod 755 $PKG/usr/bin/syn3-dagent || exit 1
+# cat $TMP/$NAME-$VERSION/$NAME-$VERSION/config-fast.sh | sed "s/QMAIL/\/var\/qmail/" > $PKG/var/qmail/bin/config-fast
+# chmod 600 $PKG/etc/qmail.permissions
+# chmod 600 $PKG/etc/qmail.rc.config
+# chmod 755 $PKG/var/qmail/bin/qmailctl
+# chmod 755 $PKG/var/qmail/bin/config-fast
+
 }
 
@@ -311,18 +319,6 @@
 cat > $PKG/etc/postinst.d/post.qmail << END
 #!/bin/sh
-svc -d /service/qmail-*
-svcstop /service/nscd/
-/var/qmail/bin/qmailctl user
-svcreset /service/nscd/
-touch /var/qmail/control/smtpplugins
-svc -dx /service/qmail-*
-#update old config?
-if ! grep "127.0.0.3" /etc/qmail/tcp.smtp; then
-    mv /etc/qmail/tcp.smtp.new /etc/qmail/tcp.smtp
-fi
-
-
-#regenerate cdb
-tcprules /etc/qmail/tcp.smtp.cdb /etc/qmail/tcp.smtp.tmp < /etc/qmail/tcp.smtp
+svcrestart /service/qmail-smtpd
+svcrestart /service/qmail-send
 
 END
@@ -332,10 +328,10 @@
 build() {
 # configfile moeten op .new eindigen
-find $PKG/etc/qmail.* $PKG/home/system/qmail/control $PKG/home/system/qmail/users $PKG/home/system/qmail/tcp.* -type f -exec mv "{}" "{}.new" \; || exit 1
+# find $PKG/etc/qmail.* $PKG/home/system/qmail/control $PKG/home/system/qmail/users $PKG/home/system/qmail/tcp.* -type f -exec mv "{}" "{}.new" \; || exit 1
 
 
 # Build the package:
 cd $PKG
-echo $VERSION > $CWD/$NAME.version
+echo $VERSION"_"$ROBVERSION > $CWD/$NAME.version
 echo $ARCH > $CWD/$NAME.arch
 makepkg -l y -c n $CWD/$NAME.pkg
Index: npl/mailserver/netqmail/netqmail.build
===================================================================
--- npl/mailserver/netqmail/netqmail.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/mailserver/netqmail/netqmail.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-6349
+6363
Index: npl/mailserver/netqmail/netqmail.depver
===================================================================
--- npl/mailserver/netqmail/netqmail.depver	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/mailserver/netqmail/netqmail.depver	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -2,2 +2,6 @@
 slackpackage	0
 libspf2	0
+libdomainkeys	0
+libsrs2	0
+openssl	5
+vpopmail	0
Index: npl/mailserver/netqmail/netqmail.md5
===================================================================
--- npl/mailserver/netqmail/netqmail.md5	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/mailserver/netqmail/netqmail.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,13 +1,5 @@
-604085a48a5bbb909a67a9a0cedbb173  ./helodnscheck2.c
-4c03848af9d37e281f3b82cc59230d9b  ./netqmail-1.05.tar.gz
-b1c93102cc9ba49ec0f278f918cb95d9  ./netqmail.pkg
-db53b86fa47dced8a100386e97755f41  ./netqmail.SlackBuild
-036914b6ab72fc95e4993976fa44ef85  ./netqmail.SlackBuild.log.gz
-9140ad2b03017145cd7963c84bb24f16  ./qmail-103.patch
-49c6b7898cc85df03dfabb190c7ffc4a  ./qmailctl
-38b762a96e8c462c03e4ed5a42437f9e  ./qmail.permissions
-a781066c2d8b2e42e4eae0cd0545391b  ./qmail.rc.config
-384372f60ba2c1071601d0fea1f221ec  ./qmail-spp-0.42.tar.gz
-13356ef41ba7a8508fa570d569b117cf  ./qmail-spp-spf-20091020.c
-bcafe3f1412a9eef6efe09a97234c04c  ./qmail-tap.diff
-a23a39d1e0321a8d4fc6eeea60df829b  ./syn3-dagent
+26c95bd8faca909f3432c1aa55f251b6  ./netqmail-1.06.tar
+fc09f10879e8fd10880d136de5b51a87  ./netqmail.pkg
+24b173c1fdd1a05abfbd48a6ccba56f4  ./netqmail.SlackBuild
+584232cea7d0ecd5691041e5973edac9  ./netqmail.SlackBuild.log.gz
+2fbc85fee68c868ba2a45e7e84a138b7  ./roberto-netqmail-1.06.patch-latest
Index: npl/mailserver/netqmail/netqmail.version
===================================================================
--- npl/mailserver/netqmail/netqmail.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/mailserver/netqmail/netqmail.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-1.05
+1.06_rob20180403
Index: npl/mailserver/netqmail_conf/netqmail_conf.SlackBuild
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/netqmail_conf.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+VER=7.1
+
+ARCH=noarch
+
+
+mkdir /tmp/pkg
+cp -r root/* /tmp/pkg || exit 1
+find /tmp/pkg -name .svn -exec rm -r "{}" \; 
+
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/mailserver/netqmail_conf/netqmail_conf.arch
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/netqmail_conf.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+noarch
Index: npl/mailserver/netqmail_conf/netqmail_conf.build
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/netqmail_conf.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+46
